mrtg (2.17.10-14) unstable; urgency=medium

  * debian/control: removed no longer needed "Rules-Requires-Root: no" field.
  * debian/patches/010_enable-www-dir.patch: dropped because it is generating
    duplicate information in config file when using the cfgmake command
    (WorkDir field). Thanks to Lloyd <ng2d68@proton.me>. (Closes: #1111333)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Sep 2025 16:34:00 -0300

mrtg (2.17.10-13) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/: added new patches from the upstream to fix build and
    some issues:
      - 040_fix-warnings-int.patch: build fix: change type of col_XXX[].
      - 050_fix-missing-header.patch: build fix: include <strings.h> header
        file.
      - 060_avoid-exit.patch: build fix: configure.ac: Avoid implicit
        declaration of the exit function.
      - 070_fix-RouterUpTime.patch: bug fix: fix RouterUpTime to accept and
        to use colon options.
      - 080_fix-noHC-yes.patch: bug fix: fix noHC=yes incorrectly inserted
        by cfgmaker.
      - 090_add-ubiquiti.patch: little improvement: add ubiquiti as a vendor
        with its ID.
      - 100_move-polish-to-utf8.patch: translation fix: modified Polish
        translation from iso-8859-2 to utf-8.
  * debian/mrtg-contrib.lintian-overrides: dropped a deprecated override about
    TotalControlModem.
  * debian/po/: received new translations:
      - ca.po: Catalan. Thanks to Carles Pina i Estany <carles@pina.cat>.
        (Closes: #1106018)
      - zh_CN.po and zh_TW.po: Chinese. Thanks to Yangfl <mmyangfl@gmail.com>.
        (Closes: #1063436)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 May 2025 15:24:32 -0300

mrtg (2.17.10-12) unstable; urgency=medium

  * debian/de.po: updated translation to German. Thanks to Helge Kreutzmann
                  <debian@helgefjell.de>. (Closes: #1052494)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 24 Sep 2023 11:26:44 -0300

mrtg (2.17.10-11) unstable; urgency=medium

  * debian/po/:
      - Received new translations:
          ~ fa.po: Persian. Thanks to Danial Behzadi <dani.behzi@ubuntu.com>.
          ~ id.po: Indonesian. Thanks to Andika Triwidada <andika@gmail.com>.
      - Received updated translations:
          ~ cs.po: Czech. Thanks to Michal Simunek <michal.simunek@gmail.com>.
            (Closes: #1052155)
          ~ de.po: German. Thanks to Helge Kreutzmann <debian@helgefjell.de>.
                   (Closes: #1051483)
          ~ es.po: Spanish. Thanks to Camaleón <noelamac@gmail.com>.
          ~ fr.po: French. Thanks to Jean-Pierre Giraud
                   <jean-pierregiraud@neuf.fr>. (Closes: #1052196)
          ~ gl.po: Galician. Thanks to Parodper <parodper@gmail.com>.
          ~ nl.po: Dutch. Thanks to Frans Spiesschaert
                   <Frans.Spiesschaert@yucom.be>. (Closes: #1052061)
          ~ pt.po: Portuguese. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
                   (Closes: #1051486)
          ~ ro.po: Romanian. Thanks to Remus-Gabriel Chelu
                   <remusgabriel.chelu@disroot.org>.
          ~ sv.po: Swedish. Thanks to Luna Jernberg <droidbittin@gmail.com>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 19 Sep 2023 12:20:30 -0300

mrtg (2.17.10-10) unstable; urgency=medium

  * Changed a debconf template to honor Debian Policy (10.7.3), not
    changing the place a conffile, discarding any user changes.
    Thanks to Andreas Beckmann <anbe@debian.org>. Consequently:
      - debian/mrtg.config: changed a comment.
      - debian/mrtg.postinst: dropped the first conditional block,
        related to moving the /etc/mrtg.cfg to /etc/mrtg/.
      - debian/mrtg.templates: updated to show a specific message to
        users. Thanks to Justin B Rye <justin.byam.rye@gmail.com> for
        all help in debian-l10n-english list.
      - debian/po/: ran debconf-updatepo to update all templates.
      - Closes: #1039103, #1041332
  * debian/po/:
      - de.po: updated translation to German. Thanks to Helge Kreutzmann
        <debian@helgefjell.de>. (Closes: #1041392)
      - pt_BR.po: updated translation to Brazilian Portuguese.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Sep 2023 12:07:07 -0300

mrtg (2.17.10-9) unstable; urgency=medium

  * The debian/mrtg.templates was fully reviewed by Justin B Rye
    <justin.byam.rye@gmail.com> from debian-l10n-english list
    (thanks for the reply for my review request). Thanks also
    to Jonathan Wiltshire <jmw@debian.org> for the tip.
    .
    Consequently, the following files were updated:
      - mrtg.templates
      - po/cs.po
      - po/de.po
      - po/es.po
      - po/fr.po
      - po/gl.po
      - po/nl.po
      - po/pt.po
      - po/pt_BR.po
      - po/ro.po
      - po/sv.po
      - po/templates.pot
      - po/vi_VN.po

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 15 Jul 2023 12:43:58 -0300

mrtg (2.17.10-8) unstable; urgency=medium

  * Fixed a mistake from 2.17.10-6 revision. Some messages was using
    "mrtg.conf" instead of "mrtg.cfg". Consequently, changed to "mrtg.cfg"
    in the following files:
      - debian/mrtg.templates
      - debian/po/*.po
      - debian/po/templates.pot

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Jul 2023 16:02:01 -0300

mrtg (2.17.10-7) unstable; urgency=medium

  * Created a check for translations using CRLF in debian/po/. Consequently:
      - debian/control: added 'file' to Build-Depends field.
      - debian/rules: created the target execute_before_dh_auto_configure.
  * debian/po/:
      - Received new translations:
          ~ gl.po: Galician. Thanks to Parodper <parodper@gmail.com>.
          ~ vi_VN.po: Vietnamese. Thanks to Trần Ngọc Quân
                      <vnwildman@gmail.com>.
      - Received updated translations:
          ~ es.po: Spanish. Thanks to Camaleón <noelamac@gmail.com>.
          ~ fr.po: French. Thanks to 	Jean-Pierre Giraud
                   <jenapierregiraud75@free.fr>. (Closes: #1040510)
          ~ nl.po: Dutch. Thanks to Frans Spiesschaert
                   <Frans.Spiesschaert@yucom.be>. (Closes: #1040501)
          ~ pt.po: Portuguese. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
                   (Closes: #1040367)
          ~ ro.po: Romanian. Thanks to Remus-Gabriel Chelu
                   <remusgabriel.chelu@disroot.org>.
          ~ sv.po: Swedish. Thanks to Luna Jernberg <droidbittin@gmail.com>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Jul 2023 21:17:09 -0300

mrtg (2.17.10-6) unstable; urgency=medium

  * Moving /etc/mrtg.cfg to /etc/mrtg/mrtg.cfg if the former exists because of
    installing old versions of MRTG. Consequently:
      - Added a new debconf template (files debian/mrtg.config and
        debian/mrtg.templates).
      - Updated debian/mrtg.postinst.
      - Updated the translation templates.
      - Thanks to Konrad Lotter <konradlotter@gmail.com>.
      - Closes: #1039103
  * debian/patches/030_disable-joke.patch: added Forwarded field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Jun 2023 20:16:52 -0300

mrtg (2.17.10-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/mrtg.postrm: using userdel/groupdel as an alternative to
    deluser/delgroup. This change will solve the error 'deluser: not found',
    pointed by piuparts. Thanks to Patrice Duroux <patrice.duroux@gmail.com>.
    (Closes: #1034530)
  * debian/po/ro.po: added translation to Romanian. Thanks to Remus-Gabriel
    Chelu <remusgabriel.chelu@disroot.org>. (Closes: #1032802)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Apr 2023 00:10:02 -0300

mrtg (2.17.10-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/mrtg-contrib.lintian-overrides: updated all overrides to make them
    compliant with new lintian tags.
  * debian/patches/030_disable-joke.patch: created to make the build process
    faster.
  * debian/rules:
      - Replaced all egrep's by grep -E.
      - Replaced override_dh_clean by execute_after_dh_clean.
      - Replaced override_dh_install-indep by execute_after_dh_install-indep.
      - Replaced override_dh_fixperms-indep by execute_before_dh_fixperms-indep.
  * debian/tests/control: replaced 'egrep' by 'grep -E' to avoid stderr because
    there is a warning about egrep and fgrep commands since grep 3.8.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 09 Sep 2022 14:34:30 -0300

mrtg (2.17.10-3) unstable; urgency=medium

  * debian/control: dropped an unneeded digit in Standards-Version.
  * debian/po/fr.po: updated. Thanks to Jean-Pierre Giraud
    <jenapierregiraud75@free.fr>. (Closes: #1004422)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jan 2022 14:30:07 -0300

mrtg (2.17.10-2) unstable; urgency=medium

  * debian/po/:
      - nl.po: updated. Thanks to Frans Spiesschaert
        <Frans.Spiesschaert@yucom.be>. (Closes: #1004318)
      - pt_BR.po: fixed a mistake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 13:14:06 -0300

mrtg (2.17.10-1) unstable; urgency=medium

  * New upstream version 2.17.10.
  * The upstream fixed the source code (thanks). Consequently, reverted all
    changes described in last changelog in the following files:
      - debian/not-installed
      - debian/rules
      - debian/source/options (removed this file)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jan 2022 23:22:04 -0300

mrtg (2.17.9-1) unstable; urgency=medium

  * New upstream version 2.17.9.
  * The current upstream version (2.17.9) is not able to execute 'make install'
    because the upstream didn't generate the docs again before to create the
    tarball. Consequently, this revision is using the following workarounds:
      - debian/not-installed: added usr/share/doc/mrtg2/mrtglib.1 and
        usr/share/man/man1/mrtglib.1. These files are wrong manpages because
        they are in level 1, not in level 3.
      - debian/rules: added a target 'execute_before_dh_auto_install' to
        generate new manpages in doc/.
      - debian/source/options: created to ignore the new manpages generated in
        doc/.
  * debian/copyright:
      - Removed files no longer delivered from the upstream tarball:
          ~ bin/cammer
          ~ lib/mrtg2/Pod/Checker.pm
          ~ lib/mrtg2/Pod/Find.pm
          ~ lib/mrtg2/Pod/ParseUtils.pm
      - Updated upstream copyright years.
  * debian/po/de.po: updated translation for German. Thanks to Helge
    Kreutzmann <debian@helgefjell.de>. (Closes: #1003888)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Jan 2022 15:11:26 -0300

mrtg (2.17.8+git20211109.9205d1d-3) unstable; urgency=medium

  * debian/po/es.po: added translation for Spanish. Thanks to
    Camaleón <noelamac@gmail.com>. (Closes: #1003518)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jan 2022 13:11:36 -0300

mrtg (2.17.8+git20211109.9205d1d-2) unstable; urgency=medium

  * Created a new debconf process to handle the cron script created via old
    versions of the MRTG. Consequently:
      - Updated the following files:
          ~ debian/mrtg.config
          ~ debian/mrtg.postinst
          ~ debian/mrtg.templates
      - Translations:
          ~ debian/po/*: updated all templates.
          ~ debian/po/pt_BR.po: updated the translation.
          ~ debian/po/pt.po: updated the translation. Thanks to Américo
            Monteiro <a_monteiro@gmx.com>.
      - Closes: #1003338
  * debian/copyright: updated packaging copyright years.
  * debian/mrtg-contrib.lintian-overrides: updated overrides about Perl4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Jan 2022 12:01:26 -0300

mrtg (2.17.8+git20211109.9205d1d-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211109.9205d1d.
  * debian/po/:
      - fr.po: added translation for French. Thanks to
        Jean-Pierre Giraud <jenapierregiraud75@free.fr>. (Closes: #998797)
      - nl.po: added translation for Dutch. Thanks to
        Frans Spiesschaert <Frans.Spiesschaert@yucom.be>. (Closes: #998829)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 16:55:54 -0300

mrtg (2.17.8+git20211026.912afc5-5) unstable; urgency=medium

  * debian/po/sv.po: fixed a mistake in translation. (Closes: #998750)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Nov 2021 13:45:59 -0300

mrtg (2.17.8+git20211026.912afc5-4) unstable; urgency=medium

  * debian/po/sv.po: added translation for Swedish. Thanks to
    Martin Bagge / brother <brother@persilja.net>. (Closes: #998433)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Nov 2021 13:28:44 -0300

mrtg (2.17.8+git20211026.912afc5-3) unstable; urgency=medium

  * debian/po/cs.po: added translation for Czech. Thanks to
    Michal Simunek <michal.simunek@gmail.com>. (Closes: #998357)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 03 Nov 2021 16:17:45 -0300

mrtg (2.17.8+git20211026.912afc5-2) unstable; urgency=medium

  * debian/mrtg.README.Debian: updated group name for some directories.
  * debian/mrtg.service: added options LogsDirectory, LogsDirectoryMode,
    StateDirectory and StateDirectoryMode, all needed to allow MRTG to create
    /var/lib/mrtg and /var/log/mrtg while using the User option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 20:21:51 -0300

mrtg (2.17.8+git20211026.912afc5-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211026.912afc5.
  * debian/mrtg.service:
      - Added PIDFile option, as recommended by SYSTEMD.SERVICE(5).
      - Added User option, to automatically populate environment variables like
        USER and HOME. Thanks to Norman Rasmussen norman@darkskies.za.net.
        (Closes: #998158)
      - Added RuntimeDirectory option to automatically create /run/mrtg/. This
        option is required while using the User option.
  * debian/patches/030_fix-accented-words.patch: removed because the upstream
    fixed the source code. Thanks.
  * debian/po/: added the following translations:
      - de.po. Thanks to Helge Kreutzmann <debian@helgefjell.de>.
        (Closes: #998176)
      - pt.po. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
        (Closes: #998079)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 13:46:32 -0300

mrtg (2.17.8+git20211022.f52e91e-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211022.f52e91e. Some features:
      - Now, MRTG creates directories /run/mrtg/, /var/lib/mrtg/,
        /var/lock/mrtg/ and /var/log/mrtg/ automatically if they not exist when
        using --fhs option.
      - Moved the config file (in source code) from /etc/ to /etc/mrtg/.
        (Closes: #245357)
      - The lock file will be removed if the pid file no longer exists.
        (Closes: #996787)
      - Updated to use FHS 3.0 instead of 2.3 when calling the --fhs option.
        (Closes: #996786)
  * From now, MRTG will run on Debian under a non-root user. Consequently,
    the following files were removed:
      - debian/mrtg.config
      - debian/mrtg.templates
      - debian/po/*
  * Moved all examples from 'mrtg' to 'mrtg-contrib'. Consequently:
      - debian/mrtg-contrib.links: created to make a link between the new and
        the old places.
      - Updated the following files to act over the new place:
          ~ debian/mrtg-contrib.install
          ~ debian/mrtg-contrib.lintian-overrides
          ~ debian/rules
  * New debconf to make adjustments in /var/www/html/mrtg. Consequently:
      - Re-created with a new content:
          ~ debian/mrtg.config
          ~ debian/mrtg.templates
          ~ debian/po/*
      - debian/mrtg.postinst: added new commands to create or fix permissions
        for /var/www/html/mrtg.
  * This Debian revision is providing the following scripts to start MRTG:
      - /debian/mrtg.init, for init.d. (Closes: #245358, LP: #358123)
      - /debian/mrtg.service, for systemd.
  * debian/contrib/config/mrtg.cfg:
      - Moved to debian/config/mrtg.cfg.
      - Updated the content.
  * debian/control:
      - Added 'Pre-Depends: ${misc:Pre-Depends}', needed for
        debian/post{inst,rm}.
      - Improved long description for mrtg-contrib.
      - Removed no longer needed relationships from mrtg in Depends field for
        mrtg-contrib binary.
  * debian/copyright: updated upstream packaging copyright years.
  * debian/cron.d: removed because this file was created before MRTG has the
    --daemon option (available since version 2.9.27). Running via cron works
    but this is a primitive mode. From now, MRTG on Debian will use init.d and
    systemd to run.
  * debian/logrotate: renamed to debian/mrtg.logrotate.
  * debian/mrtg.dirs: removed because MRTG now creates var/lib/mrtg/ and
    var/log/mrtg/ directories automatically if running with --fhs (default in
    Debian from now).
  * debian/mrtg.install: moved mrtg.cfg from /etc/ to /etc/mrtg/.
    (Closes: #245357)
  * debian/mrtg.doc-base.configuration: renamed to debian/mrtg.doc-base.
  * debian/mrtg.NEWS: created.
  * debian/mrtg-contrib.lintian-overrides: updated, adding, removing and
    changing some content. Note that all content of mrtg-contrib are examples
    sent for MRTG project from the community.
  * debian/patches/:
      - 010-mrtg_lock_temp_cache_files_fixups.patch: dropped why we have the
        option --fhs since MRTG 2.9.27, released in 2003-02-19.
        (Closes: #997095)
      - 010_enable-www-dir.patch: added to enable 'WorkDir: /var/www/html/mrtg'
        for Debian.
      - 030_fix-accented-words.patch: created to fix some accented words in
        Brazilian Portuguese.
      - 100-remove_joke.patch: removed because I no longer need massive tests,
        so is a good idea to keep the original upstream source code.
      - 150-fix_privacy_breach.patch: renamed to 020_fix-privacy-breach.patch.
      - Removed because the upstream fixed the source code (thanks):
          ~ 040-bts113814_mrtgindx_cgi.patch
          ~ 060-dont_create_varlockmrtg.patch (Closes: #997095)
          ~ 070-cfgmaker_debian_workdir.patch
  * debian/postinst:
      - Renamed to debian/mrtg.postinst.
      - Updated to new scenario provided by current revision of this package.
  * debian/postrm: created to remove some files when purging.
  * debian/README.Debian:
      - Renamed to mrtg.README.Debian.
      - Rewritten from scratch.
  * debian/rules: created the target override_dh_clean to revert changes in
    hashbangs for files in bin/ after building.
  * debian/source/options: removed in favor of a more accurate control via
    dh_clean in debian/rules.
  * debian/tests/control: added a trivial test for cfgmaker.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 Oct 2021 22:56:00 -0300

mrtg (2.17.8+git20211012.bef7ba2-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211012.bef7ba2.
    (Closes: #655097, #996085, #996090)
  * debian/contrib/:
      - Removed some files because the upstream added them to source code:
          ~ exim-stats/*
          ~ rateup.1
  * debian/copyright:
      - Added new rights from new files in upstream place.
      - Added a new source (Github).
      - Removed field Files-Excluded and some comments about them because the
        upstream dropped non-free code. Thanks.
  * debian/mrtg-contrib.install: removed exim-status, now in upstream source
    code.
  * debian/mrtg.install:
      - Added new manpages: mrtg-traffic-sum.1 and rateup.1.
      - Changed level of the manpage mrtglib from 1 to 3 because the upstream
        fixed the manpage level.
  * debian/mrtg.manpages: removed because the upstream is providing this
    manpage now. Thanks!
  * debian/not-installed: added new files to be ignored.
  * debian/patches/:
      - Removed some patches applied by the upstream (thanks!):
          ~ 020-bts113894_use_gawk.patch
          ~ 030-fix_for_ipacc.patch
          ~ 050-bts167107_nodefaultglobal.patch
          ~ 080-iptables-accounting_linewrap.patch
          ~ 090-modernize_configure_in.patch
          ~ 110-fix_spelling_errors.patch
          ~ 120-update_clean_target.patch
          ~ 130-fix_spelling_source_code.patch
          ~ 140-fix_whatis_mrtg_squid.patch
          ~ 160-fix_uncommented_lines.patch
      - 100-remove_joke.patch: updated to patch configure.ac instead of
        configure.in because the upstream changed the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 17 Oct 2021 12:05:06 -0300

mrtg (2.17.8+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.17.8+dfsg1.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
  * debian/copyright:
      - Added all missing names in upstream and packaging blocks.
      - Added Files-Excluded, Upstream-Contact and some comments.
  * debian/contrib/exim-stats/check-email: added a missing quotation marl to
    fix a breaking in script.
  * debian/mrtg-contrib.install: moved contrib/* from examples/ to
    examples/contrib/ to allow new and specific files in examples/.
  * debian/mrtg-contrib.lintian-overrides: created to ignore some issues in
    old examples provided by the upstream in contrib/ directory.
  * debian/patches/:
      - Added a numeric prefix for all patches.
      - Added Index lines in all patches.
      - bts771894_add_DCN_identity.patch: removed because the upstream already
        applied this patch in a previous version.
      - Updated all headers.
      - 070-cfgmaker_debian_workdir.patch:
          ~ Removed all spelling fixes, to be added to a new and more in-depth
            patch (110).
          ~ Updated WorkDir to use /var/www/html/mrtg.
          ~ Set Forwarded as not-needed because this patch is specific for
            Debian.
      - 090-modernize_configure_in.patch: created to fix warnings when doing
        autoreconf.
      - 100-remove_joke.patch: created to avoid slowdown when building.
      - 110-fix_spelling_errors.patch: created to fix spelling errors in
        several files.
      - 120-update_clean_target.patch: created to remove files generated by the
        build process and forgotten when cleaning. This patch will allow the
        package to build twice.
      - 130-fix_spelling_source_code.patch: created to fix a typo that breaks
        bin/cfgmaker. (Closes: #995950)
      - 140-fix_whatis_mrtg_squid.patch: created to fix the whatis line
        generation.
      - 150-fix_privacy_breach.patch: created to fix privacy breach generic via
        external links.
      - 160-fix_uncommented_lines.patch: created to fix some uncommented lines
        breaking the script.
  * debian/rules:
      - Added new fixes for some hashbangs in upstream source code.
      - Moved contrib/* from examples/ to examples/contrib/.
    examples/contrib/
  * debian/source/options: created to ignore changes in bin/indexmaker.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Oct 2021 21:12:18 -0300

mrtg (2.17.7-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New maintainer. Thanks to Sandro Tosi, the previous maintainer.
    (Closes: #995427)
  * Ran wrap-and-sort.
  * Migrated debian/rules to new (reduced) format. Consequently:
      - debian/clean: created to remove some files forgotten by the upstream
        after build/clean sequences.
      - debian/control: added dos2unix and jdupes to Build-Depends to help
        the new debian/rules to solve some issues.
      - debian/exim-stats/: moved to debian/contrib/.
      - debian/mrtg-contrib.install: created to install all needed files for
        mrtg-contrib binary.
      - debian/mrtg.dirs: removed the directories names already created by
        debian/mrtg.install.
      - debian/mrtg.docs: removed because all needed docs are being installed
        by mrtg.install and dh_* (e.g. dh_installchangelogs).
      - debian/mrtg.install:
          ~ Updated to install all possible data from debian/tmp/.
          ~ Added usr/bin/mrtg-traffic-sum, not present in previous releases.
      - debian/mrtg.manpages: moved the main content to debian/mrtg.manpages.
        Now, this file only installs debian/contrib/rateup.1.
      - debian/not-installed: created to list some upstream files not installed
        in final binaries.
      - debian/rateup.1: moved to debian/contrib/.
      - debian/sample-mrtg.cfg: moved to debian/contrib/config/.
  * debian/docs: removed. The content of this file was only THANKS, already
    in debian/mrtg.docs (also removed from the package, see above).
  * debian/mrtg-contrib.dirs: removed because the new file
    debian/mrtg-contrib.install already creates all needed directories.
  * debian/mrtg.templates.hold: removed. This template was deprecated in
    revision 2.16.2-5, released on 2009-11-12.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform CI tests.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + mrtg: Drop versioned constraint on debconf and libsnmp-session-perl in
      Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 01 Oct 2021 22:41:48 -0300

mrtg (2.17.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
  * debian/watch
    - bump standard to version 4

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Dec 2020 23:23:44 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mrtg`.
